%define realname MCAL
%define modname mcal
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 62_%{modname}.ini
%define mod_src php_mcal.c
%define mod_lib "-lmcal"
%define mod_def "-DHAVE_MCAL -DCOMPILE_DL_MCAL"

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	4.4.6
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net
BuildRequires:  php4-devel
BuildRequires:	libmcal-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php4-devel/extensions/%{dirname}/* .

%build

%{_usrsrc}/php4-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

#php4ize
#%%configure2_5x \
#    --with-%{modname}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 4.4.6-1mdv2007.0
+ Revision: 132217
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 4.4.5-1mdv2007.1
+ Revision: 123727
- rebuilt against new upstream php version (4.4.5)

* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 4.4.4-1mdv2007.1
+ Revision: 97662
- Import php4-mcal



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 4.4.4-1
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 4.4.3-1mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 4.4.2-2mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 4.4.2-1mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.1-1mdk
- rebuilt for php-4.4.1

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- move scandir to /etc/php4.d

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.4-2mdk
- fix doc installation in order to own the dir

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 4.3.4-1mdk
- first mdk version of this module
